[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TFieldsEnumerator.Create

Create a new instance of TFieldsEnumerator.

## Declaration

Source position: db.pas line 1122

`public constructor TFieldsEnumerator.Create(`
`AFields: TFields`
`);`

## Arguments

`AFields` |  | TFields instance for which the enumerator is created

## Description

Create instantiates a new instance of TFieldsEnumerator. It stores the AFields reference, pointing to the TFields instance that created the enumerator. It initializes the enumerator position.